package net.waltzstudio.base.generator.model.java;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;

public class EntityModel {

	public boolean hasAudit;

	private String packageName;

	public String logicalName;
	public String physicalName;

	public Set<String> entityImports = new TreeSet<String>();

	public List<EntityFieldModel> fields = new ArrayList<EntityFieldModel>();

	public List<EntityFieldModel> ids = new ArrayList<EntityFieldModel>();

	public String getPackageName() {
		return packageName;
	}

	public EntityModel setPackageName(String packageName) {
		this.packageName = packageName;
		return this;
	}

}
